<?php
	function dcom_get_bib_form($configuration_url = '', $extra_params = array()) {
		$prefix = '_dcom_bib_'; // Metabox Prefix
		$html = ''; // hold the result
		$bib_global = get_option($prefix.'configuration');
		if (!is_array($bib_global)) { $bib_global = array(); }
		
		// If we don't override configuration url, use default
		if (empty($configuration_url) && is_array($bib_global) && array_key_exists($prefix.'configuration_url', $bib_global)) {
			$configuration_url = $bib_global[$prefix.'configuration_url'];
		}

		// Get the defaults for the subids
		$global_subs = array();
		$sub2s_mapping = array($prefix.'sub1' => 's3', $prefix.'sub2' => 's4', $prefix.'sub3' => 's5');
		foreach($sub2s_mapping AS $sub_id => $s_id) {
			if (array_key_exists($sub_id, $bib_global) && !empty($bib_global[$sub_id])) {
				$global_subs[$s_id] = $bib_global[$sub_id];
			}
		}
		// Add Globals to Local
		$extra_params = array_merge($global_subs, $extra_params);
		
		$html .= '<div class="bib-wrapper" data-configuration="'.$configuration_url.'"'; // Open the BIB Wrapper DIV
		if (is_array($extra_params) && (sizeof($extra_params) > 0)) {
			foreach ($extra_params AS $var => $value) {
				$html .= " data-{$var}=\"{$value}\"";
			}
		}
		$html .= '> </div>'; // Close the BIB Wrapper DIV
		
		wp_enqueue_script('angular');
		wp_enqueue_script('ngMask');
		wp_enqueue_script('bib-form');


		return $html;
	}

	add_shortcode('lead_form', 'dcom_draw_bib_form');
	function dcom_draw_bib_form($atts, $content = '', $shortcode_name) {
		$prefix = '_dcom_bib_'; // Metabox Prefix
		$permitted_attributes = array(
			'before' => '',
			'after' => '',
			'configuration' => '',
			'sub1' => '',
			'sub2' => '',
			'sub3' => ''
		);
		$atts = shortcode_atts($permitted_attributes, $atts, $shortcode_name);


		// If you put content inside of the Short Code, place it in noscript tags
		$noscript = empty($content) ? '' : "<noscript>$content</noscript>";
		
		// If there is no configuration URL set (either default of overridden), then display the $content OR a "No Form Configuration" Message
		// If configuration URL is set, get the form
		// This is the normal case, we have a form to draw

		// Convert sub1/sub2/sub3 into s3/s4/s5
		$sub2s_mapping = array('sub1' => 's3', 'sub2' => 's4', 'sub3' => 's5');

		$s_values = array('s2' => 'BIBShortCode');
		foreach($sub2s_mapping AS $sub_id => $s_id) {
			if (array_key_exists($sub_id, $atts) && !empty($atts[$sub_id])) {
				$s_values[$s_id] = $atts[$sub_id];
			}
		}
		$html = dcom_get_bib_form($atts['configuration'], $s_values) . $noscript; // Pass the Optional Values in for drawing in form
		// Wrap in before/after
		return $atts['before'] . $html . $atts['after'];
	}

	add_action('wp_enqueue_scripts', 'dcom_bib_register_elements');
	function dcom_bib_register_elements() {
		wp_register_script('angular', plugins_url('js/angular.min.js', __DIR__), array('jquery'), '1.5.8', true );
		wp_register_script('ngMask', plugins_url('js/ngMask.min.js', __DIR__), array('jquery', 'angular'), '3.1.1', true );
		wp_register_script('bib-form', plugins_url('js/bib_form.min.js', __DIR__), array('jquery', 'angular', 'ngMask'), '2.1.2', true );
		wp_register_style('bib-form', plugins_url('css/bib.min.css', __DIR__), array(), '2.1.2');
	}

	if (!function_exists('dcom_bib_enqueue_styles')) {
		add_action('wp_enqueue_scripts', 'dcom_bib_enqueue_styles', 20);
		function dcom_bib_enqueue_styles() {
			// Run at 20, you can prevent loaded by de-registering it at priorities 11-19
			wp_enqueue_style('bib-form');
		}	
	}