<?php
	function dcom_comparison_code($program, $extra_params = array(), $error_message = '') {
		$prefix = '_dcom_bib_'; // Metabox Prefix
		$bib_configuration = get_option($prefix.'configuration');
		if (empty($error_message)) {
			$error_message = __('No Search Subid is Configured in Debt.com BIB Settings', 'dcom_bib');
		}
		$html = '';
		if (is_array($bib_configuration) && array_key_exists($prefix.'search_subid', $bib_configuration) && !empty($bib_configuration[$prefix.'search_subid'])) {

			$global_subs = array('c1' => array_key_exists($prefix.'sub1', $bib_configuration) ? $bib_configuration[$prefix.'sub1'] : '',
								 'c2' => array_key_exists($prefix.'sub2', $bib_configuration) ? $bib_configuration[$prefix.'sub2'] : '',
								 'c3' => array_key_exists($prefix.'sub3', $bib_configuration) ? $bib_configuration[$prefix.'sub3'] : '');
			$global_subs = array_diff($global_subs, array('')); /* Remove blanks */
			$calculator_passthrough_vars = array_fill_keys(array('amt', 'term'), '');
			$calculator_passthrough_vars = array_intersect_key($_GET, $calculator_passthrough_vars);
			$calculator_passthrough_vars = array_diff($calculator_passthrough_vars, array(''));

			$extra_params = array_merge($global_subs, $extra_params, $calculator_passthrough_vars); /* Override Global with Widget ones */

			$publisher_id = intVal($bib_configuration[$prefix.'search_subid']);

			$html .= '<div class="msp-embed" data-program="'.$program.'" data-pub="'.$publisher_id.'"';
			foreach ($extra_params AS $key => $value) {
				$html .= " data-{$key}=\"{$value}\"";
			}
			$html .= "></div>\n";
			wp_enqueue_script('msp-compare');
		} else {
			$html = '<div class="bib-error">'.$error_message.'</div>';
		}
		return $html;		
	}

	function dcom_calculator_ad_code($program, $destination_url, $extra_params = array(), $error_message = '') {
		$prefix = '_dcom_bib_'; // Metabox Prefix
		$bib_configuration = get_option($prefix.'configuration');
		if (empty($error_message)) {
			$error_message = __('No Search Subid is Configured in Debt.com BIB Settings', 'dcom_bib');
		}
		$html = '';
		if (is_array($bib_configuration) && array_key_exists($prefix.'search_subid', $bib_configuration) && !empty($bib_configuration[$prefix.'search_subid'])) {

			$global_subs = array('c1' => array_key_exists($prefix.'sub1', $bib_configuration) ? $bib_configuration[$prefix.'sub1'] : '',
								 'c2' => array_key_exists($prefix.'sub2', $bib_configuration) ? $bib_configuration[$prefix.'sub2'] : '',
								 'c3' => array_key_exists($prefix.'sub3', $bib_configuration) ? $bib_configuration[$prefix.'sub3'] : '');
			$global_subs = array_diff($global_subs, array('')); /* Remove blanks */

			$extra_params = array_merge($global_subs, $extra_params); /* Override Global with Widget ones */

			$publisher_id = intVal($bib_configuration[$prefix.'search_subid']);

			$html .= '<div class="msp-embed" data-program="'.$program.'" data-pub="'.$publisher_id.'" data-destination="'.$destination_url.'"';
			foreach ($extra_params AS $key => $value) {
				$html .= " data-{$key}=\"{$value}\"";
			}
			$html .= "></div>\n";
			wp_enqueue_script('msp-compare');
		} else {
			$html = '<div class="bib-error">'.$error_message.'</div>';
		}
		return $html;		
	}

	add_action('plugins_loaded', 'load_comparison_ads_calcs_shortcodes');
	function load_comparison_ads_calcs_shortcodes() {
		$prefix = '_dcom_bib_'; // Metabox Prefix
		$bib_configuration = get_option($prefix.'configuration');
		if (is_array($bib_configuration) && array_key_exists($prefix.'search_subid', $bib_configuration) && !empty($bib_configuration[$prefix.'search_subid'])) {		
			add_shortcode('business_loans_comparison', 'dcom_comparison_shortcode_func');
			add_shortcode('identity_theft_comparison', 'dcom_comparison_shortcode_func');
			add_shortcode('personal_loans_comparison', 'dcom_comparison_shortcode_func');
			add_shortcode('student_loans_comparison', 'dcom_comparison_shortcode_func');
			add_shortcode('business_loans_calculator', 'dcom_calculator_ad_shortcode_func');
			add_shortcode('business_loans_ads', 'dcom_calculator_ad_shortcode_func');
			add_shortcode('identity_theft_ads', 'dcom_calculator_ad_shortcode_func');
			add_shortcode('personal_loans_calculator', 'dcom_calculator_ad_shortcode_func');
			add_shortcode('personal_loans_ads', 'dcom_calculator_ad_shortcode_func');
			add_shortcode('student_loans_calculator', 'dcom_calculator_ad_shortcode_func');
			add_shortcode('student_loans_ads', 'dcom_calculator_ad_shortcode_func');
		}
	}
	
	
	function dcom_comparison_shortcode_func($atts, $content = '', $shortcode_called) {
		$html = '';
		$shortcode_defaults = array('before' => '', 'after' => '', 'sub1' => '', 'sub2' => '', 'sub3' => '');
		$atts = shortcode_atts($shortcode_defaults, $atts, $shortcode_called);
		$shortcode2program = array(
				'personal_loans_comparison' => 4,
				'business_loans_comparison' => 17,
				'student_loans_comparison' => 70,
				'identity_theft_comparison' => 76
		);
		$program = (array_key_exists($shortcode_called, $shortcode2program)) ? $shortcode2program[$shortcode_called] : -1;
		if ($program > 0) {
			$shortcode_subs = array('c1' => $atts['sub1'],
									'c2' => $atts['sub2'],
									'c3' => $atts['sub3']);
			$shortcode_subs = array_diff($shortcode_subs, array('')); /* Remove Blanks */
			$html .= dcom_comparison_code($program, $shortcode_subs, $content);
		} else {
			/* Content becomes Error Message */
			$html .= $content;
		}

		return $atts['before'] . $html . $atts['after'];
	}

	function dcom_calculator_ad_shortcode_func($atts, $content = '', $shortcode_called) {
		$html = '';
		$shortcode_defaults = array('before' => '', 'after' => '', 'destination' => '', 'sub1' => '', 'sub2' => '', 'sub3' => '');
		$atts = shortcode_atts($shortcode_defaults, $atts, $shortcode_called);
		$shortcode2program = array(
				'business_loans_calculator' => 15,
				'business_loans_ads' => 110,
				'identity_theft_ads' => 111,
				'personal_loans_calculator' => 5,
				'personal_loans_ads' => 112,
				'student_loans_calculator' => 69,
				'student_loans_ads' => 113
		);
		$program = array_key_exists($shortcode_called, $shortcode2program) ? $shortcode2program[$shortcode_called] : -1;
		if (!empty($atts['destination']) && ($program > 0)) {
			$shortcode_subs = array('c1' => $atts['sub1'],
									'c2' => $atts['sub2'],
									'c3' => $atts['sub3']);
			$shortcode_subs = array_diff($shortcode_subs, array('')); /* Remove Blanks */

			$html .= dcom_calculator_ad_code($program, $atts['destination'], $shortcode_subs, $content);
		} else {
			/* Content becomes Error Message */
			$html .= $content;
		}

		return $atts['before'] . $html . $atts['after'];
	}


	// Register the MoneySavingsPro JS all the time, enqueue it if used
	add_action('wp_enqueue_scripts', 'dcom_register_comparison_javascript');
	function dcom_register_comparison_javascript() {
		//wp_register_script('msp-compare', plugins_url('js/compare.js', __DIR__), array(), '1.0', true);
		wp_register_script('msp-compare', plugins_url('js/compare.min.js', __DIR__), array(), '1.0', true);
	}