﻿/***************************************************************
 * Business in a Box Angular form 
 *  
 * Mandatory change of variable "version" if this code is modified 
 * Initial copied from biabconsumercompressedform.js #7738  1.0.0 
 * Modified - Added the bibCssUrl reference back to the code from biabconsumercompressedform.js #???? 1.0.1
 * Modified - Added the bibCssUrl reference back to the code from biabconsumercompressedform.js #7866 1.0.2 (inherit from 1.0.1)
 *            Moved getClientIpAddress()and getCampaignInfo() to PostForm()
 * Taken from ang_externalconsumer.js, v2.0.0, modified to run cleanly in a Wordpress Environment
 * v2.00 changes: 
 *  variables moved inside function wrap.
 *  baseUrl removes the /js/ from the plugin
 *  support libraries are enqueued in Wordpress, NOT called inside Javascript
 *  configuration is nolonger called in a script tag, it's passed as a data-configuration attribute and called within BIB
 *  document.write is removed, and bib-wrapper is built in PHP, with S-values included in the BIB form
 *  All Div's with class bib-wrapper are called
 *
 ***************************************************************/

(function () {
    'use strict';
    /* mandatory change of version if this code is modified */
    var version = "2.1.2";
    /* Set for use on internal resources */
    /* determines the path relative to the current code's location on a server */
    var currentScriptNameMinified = 'bib_form.min.js?ver='+version; 
    var currentScriptName = 'bib_form.js?ver='+version; 
    var thisScript = document.querySelector("script[src$='" + currentScriptNameMinified + "']");
    if (thisScript === null)
        thisScript = document.querySelector("script[src$='" + currentScriptName + "']");
    if (thisScript)
        var currentScriptPath = thisScript.src;
    var baseUrl = function(src){ var src2 = src.substring(0, src.lastIndexOf('/')); return src.substring(0, src2.lastIndexOf('/') + 1); }(currentScriptPath);

    /* Constants for Submission, modify for Dev/QA Environemnts */
    var urlLeadApi = "https://leadapi.debt.com/createlead.aspx";
    var urlCampaignInfoApi = "https://leadapi.debt.com/GetCampaignInfo.aspx";
    var GetStateUrl = "https://geolocation.vtgr.net/get/";

    /* must determine if this is running in a Safari browser */
    var isSafari = navigator.vendor && navigator.vendor.indexOf('Apple') > -1 && navigator.userAgent && !navigator.userAgent.match('CriOS');

    /*  Source is a variable on the index.cshtml page code */
    var _pagesource = "";
    if ((typeof Source !== 'undefined') && (Source)) {
        _pagesource = Source;
    } else {
        _pagesource = window.location.protocol + "//" + window.location.hostname + window.location.pathname;
    }
    _pagesource = _pagesource + "-" + currentScriptName + version;

    /* Create Global Vars */
    var debtTypeValues, debtAmounts, paymentsStatus, statesList, studentLoanTypes, studentLoansStatus, taxDebtTypes, taxDebtYears, landingForm, landingFormGeneral;
    /* Assign Global Vars */
    debtTypeValues = [
                { value: 1, label: "Credit Card Debt" },
                { value: 2, label: "Student Loan Debt" },
                { value: 3, label: "Tax Debt" },
                { value: 4, label: "Credit Correction" },            
                { value: 5, label: "Bankruptcy" },            
                { value: 6, label: "Collector Harassmet" }
        ];
        debtAmounts = [
            { value: 2500, label: "$1,000 - $5,000" },
            { value: 6500, label: "$5,000 - $8,000" },
            { value: 9000, label: "$8,000 - $10,000" },
            { value: 12500, label: "$10,000 - $15,000" },
            { value: 16500, label: "$15,000 - $20,000" },
            { value: 25000, label: "$20,000 - $30,000" },
            { value: 35000, label: "$30,000 - $40,000" },
            { value: 45000, label: "$40,000 - $50,000" },
            { value: 50000, label: "$50,000+" }
        ];
        paymentsStatus = [
            { value: "Current", label: "Current and/or just falling behind" },
            { value: "Behind", label: "Behind Less than 6 months" },
            { value: "Collections", label: "More than 6 months behind" }
        ];
        statesList = [
            { value: "AL", label: "AL" },
            { value: "AK", label: "AK" },
            { value: "AZ", label: "AZ" },
            { value: "AR", label: "AR" },
            { value: "CA", label: "CA" },
            { value: "CO", label: "CO" },
            { value: "CT", label: "CT" },
            { value: "DE", label: "DE" },
            { value: "DC", label: "DC" },
            { value: "FL", label: "FL" },
            { value: "GA", label: "GA" },
            { value: "HI", label: "HI" },
            { value: "ID", label: "ID" },
            { value: "IL", label: "IL" },
            { value: "IN", label: "IN" },
            { value: "IA", label: "IA" },
            { value: "KS", label: "KS" },
            { value: "KY", label: "KY" },
            { value: "LA", label: "LA" },
            { value: "ME", label: "ME" },
            { value: "MD", label: "MD" },
            { value: "MA", label: "MA" },
            { value: "MI", label: "MI" },
            { value: "MN", label: "MN" },
            { value: "MS", label: "MS" },
            { value: "MO", label: "MO" },
            { value: "MT", label: "MT" },
            { value: "NE", label: "NE" },
            { value: "NV", label: "NV" },
            { value: "NH", label: "NH" },
            { value: "NJ", label: "NJ" },
            { value: "NM", label: "NM" },
            { value: "NY", label: "NY" },
            { value: "NC", label: "NC" },
            { value: "ND", label: "ND" },
            { value: "OH", label: "OH" },
            { value: "OK", label: "OK" },
            { value: "OR", label: "OR" },
            { value: "PA", label: "PA" },
            { value: "RI", label: "RI" },
            { value: "SC", label: "SC" },
            { value: "SD", label: "SD" },
            { value: "TN", label: "TN" },
            { value: "TX", label: "TX" },
            { value: "UT", label: "UT" },
            { value: "VT", label: "VT" },
            { value: "VA", label: "VA" },
            { value: "WA", label: "WA" },
            { value: "WV", label: "WV" },
            { value: "WI", label: "WI" },
            { value: "WY", label: "WY" }

        ];
        studentLoanTypes = [
            { value: "Federal", label: "Federal" },
            { value: "Private", label: "Private" },
            { value: "Both", label: "Both" },
            { value: "Uncertain", label: "Uncertain - I just need help" }
        ];
        studentLoansStatus = [
            { value: "Current", label: "Current" },
            { value: "Deferred", label: "Deferred" },
            { value: "Behind less 6 months", label: "I'm behind less than 6 months" },
            { value: "Behind more 6 months", label: "I'm behind more than 6 months " }
        ];
        taxDebtTypes = [
            { value: "State", label: "State" },
            { value: "Federal", label: "Federal" },
            { value: "Both", label: "Both" }
        ];
        taxDebtYears = [
            { value: "1", label: "1 year (less than two years)" },
            { value: "2", label: "2 - 3 years" },
            { value: "3", label: "3 - 4 years" },
            { value: "4+", label: "4 or more years" }
        ];

        landingForm = {
            /* landing form */
            state: "",
            cc_debt_amount: "",
            slc_debt_amount: "",
            tax_debt_amount: "",
            bk_total_debt: "",
            payment_status: "",
            student_loan_types: "",
            student_loan_status: "",
            tax_debt_type: "",
            tax_debt_years: "",
            tax_irs_enrolled: "",
            /* credit correction */
            cr_late_payments: "",
            cr_bankruptcy: "",
            cr_charge_off: "",
            cr_not_your_debt: "",
            cr_collections: "",
            cr_errors: "",
            cr_other: "",
            /* bankruptucy */
            facing_any_garnishment: "",
            facing_any_lawsuit: "",
            facing_any_divorce: "",
            facing_any_repo: "",
            facing_any_illness: "",
            facing_any_job_loss: "",
            facing_any_forclosure: "",
            /* collector harassment */
            collections_credit_card: "",
            collections_tax: "",
            collections_mortgage: "",
            collections_student_loan: "",
            collections_medical: "",
            collections_payday_loan: "",
            collections_repo: "",
            collections_judgement: "",
            debt_collection_company: "",
            tell_us_what_happened: "",
        };
        landingFormGeneral = {
            /* general */
            first_name: "",
            last_name: "",
            state: "",
            zip: "",
            email: "",
            primary_phone: "",
            opt_in: "1",
            age: ""

        };

    var bibWrappers = document.getElementsByClassName('bib-wrapper');
    for (var i = 0; i < bibWrappers.length; i++) {
        var bibWrapper = bibWrappers[i];
        if (bibWrapper.getAttribute("data-configuration")) {
           loadAScript(bibWrapper.getAttribute("data-configuration"), loadBibForm, bibWrapper);
        }
    };

    function loadAScript(url, callback, node) {
        var script = document.createElement("script")
        script.type = "text/javascript";

        if (script.readyState) {  /* IE */
            script.onreadystatechange = function () {
                if (script.readyState == "loaded" ||
                        script.readyState == "complete") {
                    script.onreadystatechange = null;
                    callback(node);
                }
            };
        } else {  /* Others */
            script.onload = function () {
                callback(node);
            };
        }

        script.src = url;
        document.body.appendChild(script);
    }


    function loadBibForm(bibWrapper) {

        /* We use different JavaScript variables for settings parameters instead of the ones used internally, to allow defaults */
        var thankYouURL = ("thankYou" in window) ? thankYou : 'https://www.debt.com/solutions/bib-thank-you';
        var thankYouURL_Unsold = ("thankYou_unsold" in window) ? thankYou_unsold : thankYouURL; 
        var _aid = (typeof aid == 'undefined') ? "1886" : aid;
        /* Needed for updateFormValues() */
        var _phone_number = ("phone_number" in window) ? phone_number : '';
        /*  set default verticalSettings usually passed in by implementing page */
        var _verticalSettings = [{ vertical: 1, pid: 9009 }, { vertical: 2, pid: 10262 }, { vertical: 3, pid: 70013 }, { vertical: 4, excludedStates: ['OR'], pid: 10622 }];
        _verticalSettings = (typeof verticalSettings == 'undefined') ? _verticalSettings : verticalSettings;
        var _privacyUrl = (typeof privacyUrl == 'undefined') ? "https://www.debt.com/privacy-policy/" : privacyUrl;
        var _termsUrl = (typeof termsUrl == 'undefined') ? "https://www.debt.com/terms-conditions/" : termsUrl;

        var _aid = (typeof aid == 'undefined') ? "1886" : aid;
        
        buildBibHeader(bibWrapper);
        buildBibBody(bibWrapper);
        buildBibFooter(bibWrapper);
        loadAngularFunctions(bibWrapper);

        function buildBibHeader(bibWrapper) {
            if (("topImageUrl" in window) && (typeof topImageUrl != undefined)) {
                var topImage = document.createElement("img");
                topImage.setAttribute("alt", "Debt.com Solution Center");
                topImage.setAttribute("src", topImageUrl);
                if (("topImageHeight" in window) && (typeof topImageHeight != undefined)) { topImage.setAttribute("height", topImageHeight); }
                if (("topImageWidth" in window) && (typeof topImageWidth != undefined)) { topImage.setAttribute("width", topImageWidth); }

                var topImageDiv = document.createElement("div");
                topImageDiv.setAttribute("class", "vt-top-image");
                topImageDiv.appendChild(topImage);
                bibWrapper.appendChild(topImageDiv);
            }
            if (("phone_number" in window) && (typeof phone_number == "string")) {
                var phone_number_url = 'tel:+' + _phone_number.replace(/\D/g, '');
                /* Build the phone number component and add it */
                var phoneNumberText = document.createTextNode(_phone_number);
                var phone_number_anchor = document.createElement("a");
                phone_number_anchor.setAttribute("href", phone_number_url);
                phone_number_anchor.appendChild(phoneNumberText);
                var phone_number_wrap = document.createElement("div");
                phone_number_wrap.setAttribute("class", "vt-phone-number");
                phone_number_wrap.appendChild(phone_number_anchor);
                bibWrapper.appendChild(phone_number_wrap);
            }
        }

        function buildBibBody(bibWrapper) {
            var cssCode = '  [data-ng-cloak], .ng-cloak { display: none; }';
            var dataLandingForm = dataLandingFormHtml();  

            var bibForm = document.createElement("div");
            bibForm.setAttribute("class", "bib-form");
            bibWrapper.appendChild(bibForm);
            bibForm.innerHTML = dataLandingForm;
        }

        function buildBibFooter(bibWrapper) {
            /* Add the bottom logo */
            /* Inner Element: Image */
            if (typeof logoLink !== 'undefined') {
                var bottomLogoImg = document.createElement("img");
                bottomLogoImg.setAttribute("src", baseUrl + "images/powered-by-debt-com.png");
                bottomLogoImg.setAttribute("alt", "Powered by Debt.com");
                /* Link to the Image */
                var bottomLogoLink = document.createElement("a");
                bottomLogoLink.setAttribute("target", "_top");
                bottomLogoLink.setAttribute("href", logoLink);
                bottomLogoLink.appendChild(bottomLogoImg);
                /* Wrap in the logo div and add to dom */
                var bottomLogo = document.createElement("div");
                bottomLogo.setAttribute("class", "vt-logo");
                bottomLogo.appendChild(bottomLogoLink);
                bibWrapper.appendChild(bottomLogo);
            }
        }
        


        function loadAngularFunctions(bibWrapper) {
            var ang_app = window.angular.module('app', ['ngMask'])
            .factory('dataservice', ['$http', dataservice])
                .controller('LandingFormController', [/*'$location',*/ 'dataservice', '$scope', LandingFormController])
                    
            /* ReSharper disable once InconsistentNaming */
            function LandingFormController(/*$location,*/ dataservice, $scope) {
                var vm = this;
                vm.sending = false;
                vm.validCampaignInfo = false;
                vm.errors = {};
                vm.params = queryStringToObject();
                vm.showStep1 = true;
                vm.showStep2 = false;
                vm.showStep3 = false;
                vm.showButton1 = false;
                vm.showButton2 = false;
                vm.showHeaderText = false;
                vm.phone = '';
                vm.goToStep3 = goToStep3;
                vm.debtFieldName = {};
                vm.debtType = {};
                vm.debtAmounts = debtAmounts;
                vm.paymentsStatus = paymentsStatus;
                vm.studentLoanTypes = studentLoanTypes;
                vm.studentLoansStatus = studentLoansStatus;
                vm.taxDebtTypes = taxDebtTypes;
                vm.taxDebtYears = taxDebtYears;
                vm.landingForm = landingForm;
                vm.landingFormGeneral = landingFormGeneral;
                vm.updateFormValues = updateFormValues;
                vm.thankYouUrl = thankYouURL;
                vm.statesList = statesList;
                vm.postForm = postForm;
                vm.hiddenFields = {};
                vm.formItem = {};
                vm.otherParams = {};
                vm.navParams = {
                    ckm_subid: bibWrapper.hasAttribute("data-s1") ? bibWrapper.getAttribute("data-s1") : '',
                    ckm_subid_2: bibWrapper.hasAttribute("data-s2") ? bibWrapper.getAttribute("data-s2") : '',
                    ckm_subid_3: bibWrapper.hasAttribute("data-s3") ? bibWrapper.getAttribute("data-s3") : '',
                    ckm_subid_4: bibWrapper.hasAttribute("data-s4") ? bibWrapper.getAttribute("data-s4") : '',
                    ckm_subid_5: bibWrapper.hasAttribute("data-s5") ? bibWrapper.getAttribute("data-s5") : '',
                    t: vm.params.t,
                    ip_address: "",
                    vid: "0",
                    apikey: "jkjZJOwDi3ckH2CrJSGu5ymzfF5vX9gA",
                    channel: "",
                    source: _pagesource,
                    route_type: "data_direct",
                    ckm_offer_id: "",

                    /* values from getCampaignInfo API */
                    ckm_key: "",
                    ckm_campaign_id: "",

                    /* originals */
                    original_camp_id: "",
                    original_affid: ""
                };

                $scope.$watch('formItem', function () {
                    vm.formItem = $scope.formItem;
                });

                activate();

                function activate() {
                    /* setting affiliate id */
                    vm.navParams.aff_id = _aid;
                    vm.navParams.original_affid = _aid;
                    vm.navParams.aid = _aid;

                    buildDebtTypeDropDown();
                    /* getClientIpAddress(); */
                }
                
                function buildDebtTypeDropDown() {
                    var debtTypeValues = [];

                    angular.forEach(_verticalSettings, function (setting) {
                        if (setting.vertical == 1) {
                            var option = { label: "Credit Card Debt", value: setting.vertical };
                        } else if (setting.vertical == 2) {
                            var option = { label: "Student Loan Debt", value: setting.vertical };
                        } else if (setting.vertical == 3) {
                            var option = { label: "Tax Debt", value: setting.vertical };
                        } else if (setting.vertical == 4) {
                            var option = { label: "Credit Correction", value: setting.vertical };
                        } else if (setting.vertical == 5) {
                            var option = { label: "Bankruptcy", value: setting.vertical };
                        } else if (setting.vertical == 6) {
                            var option = { label: "Collector Harassment", value: setting.vertical };
                        }

                        this.push(option);

                    }, debtTypeValues);
                    vm.debtTypeValues = debtTypeValues;

                    var tempVertical = -1;
                    if (_verticalSettings.length == 1) {
                        /* if one vertical- always default to this vertical */
                        tempVertical = _verticalSettings[0].vertical;
                        vm.showHeaderText = false;
                        vm.showStep1 = false;
                    } else {
                        /* default dropdown to vertical (-1 defaults to Select) */
                        if (("defaultVertical" in window) && (typeof defaultVertical !== 'undefined')) {
                            tempVertical = defaultVertical;
                        }
                    }

                    if (tempVertical > 0) {
                        var elementPos = debtTypeValues.map(function (x) { return x.value; }).indexOf(tempVertical);
                        vm.debtType = vm.debtTypeValues[elementPos];
                    }

                    updateFormValues();
                }

                function updateFormValues() {
                    if (vm.debtType.label === "Credit Card Debt") vm.debtFieldName = "cc_debt_amount";
                    else if (vm.debtType.label === "Student Loan Debt") vm.debtFieldName = "slc_debt_amount";
                    else if (vm.debtType.label === "Tax Debt") vm.debtFieldName = "tax_debt_amount";
                    else if (vm.debtType.label === "Bankruptcy") vm.debtFieldName = "bk_total_debt";

                    /* show button after debt type selected */
                    if (typeof vm.debtType.value !== 'undefined') {
                        vm.showButton1 = true;
                    }
                    vm.showStep2 = true;
                    resetLandingFormValues();
                    updateNavParams();

                    angular.forEach(_verticalSettings, function (setting) {
                        if (vm.debtType.value === setting.vertical) {
                            /* set values */
                            vm.navParams.pid = setting.pid;
                            /* Make S1 = PID  */
                            vm.navParams.ckm_subid = setting.pid;
                            vm.navParams.original_pid = setting.original_pid;
                            if (setting.hasOwnProperty('phone')) {
                                vm.phone = setting.phone;
                            } else {
                                vm.phone = _phone_number;
                            }
                        }
                    });
                }

                function goToStep3() {
                    var validated = true;
                    jQuery(bibWrapper).find('.step2').find('select').each(function() {
                        if (jQuery(this).attr('required') === 'required') {
                            if (jQuery(this).val() === null) {
                                validated = false;
                                alert('Please make your selections so we can best help you.');
                                return false;
                            }
                        }
                    });
                    if (validated) {
                        vm.showStep3 = true;
                        vm.showStep1 = false;
                        vm.showStep2 = false;
                        vm.showHeaderText = true;
                        vm.showButton1 = false;
                        vm.showButton2 = true;
                    }
                }

                function resetLandingFormValues() {
                    for (var prop in vm.landingForm) {
                        if (vm.landingForm.hasOwnProperty(prop))
                            vm.landingForm[prop] = "";
                    }
                }

                function updateNavParams() {
                    if (vm.debtType.label === "Credit Card Debt") {
                        vm.navParams.vid = "106";
                    }
                    else if (vm.debtType.label === "Student Loan Debt") {
                        vm.navParams.vid = "109";
                    }
                    else if (vm.debtType.label === "Tax Debt") {
                        vm.navParams.vid = "110";
                    }
                    else if (vm.debtType.label === "Credit Correction") {
                        vm.navParams.vid = "108";
                        
                        /* update checkboxes */
                        vm.landingForm.cr_late_payments = 0;
                        vm.landingForm.cr_bankruptcy = 0;
                        vm.landingForm.cr_charge_off = 0;
                        vm.landingForm.cr_not_your_debt = 0;
                        vm.landingForm.cr_collections = 0;
                        vm.landingForm.cr_errors = 0;
                        vm.landingForm.cr_other = 0;
                    }
                    else if (vm.debtType.label === "Bankruptcy") {
                        vm.navParams.vid = "115";

                        /* update checkboxes */
                        vm.landingForm.facing_any_garnishment = 0;
                        vm.landingForm.facing_any_lawsuit = 0;
                        vm.landingForm.facing_any_divorce = 0;
                        vm.landingForm.facing_any_repo = 0;
                        vm.landingForm.facing_any_illness = 0;
                        vm.landingForm.facing_any_job_loss = 0;
                        vm.landingForm.facing_any_forclosure = 0;
                    }
                    else if (vm.debtType.label === "Collector Harassment") {
                        vm.navParams.vid = "111";

                        /* update checkboxes */
                        vm.landingForm.collections_credit_card = 0;
                        vm.landingForm.collections_tax = 0;
                        vm.landingForm.collections_mortgage = 0;
                        vm.landingForm.collections_student_loan = 0;
                        vm.landingForm.collections_medical = 0;
                        vm.landingForm.collections_payday_loan = 0;
                        vm.landingForm.collections_repo = 0;
                        vm.landingForm.collections_judgement = 0;
                        vm.landingForm.debt_collection_company = " ";
                        vm.landingForm.tell_us_what_happened = " ";
                    }

                    /*if (vm.navParams.vid != 0)
                        getCampaignInfo(); */
                }

                function getClientIpAddress() {
                    dataservice.getClientIp()
                            .success(function (jsonResponse, status, header, config) {
                                vm.navParams.ip_address = jsonResponse.ip;
                            })
                            .error(function (error) {
                                console.warn("Error getting client IP address:");
                                console.warn(error);
                            });
                }

                function getCampaignInfo() {
                    dataservice.getVerticalIds(vm.navParams.aid, vm.navParams.vid, vm.navParams.apikey)
                        .success(function (jsonResponse, status, header, config) {
                            if (jsonResponse.Status === "Success") {
                                var success = JSON.parse(jsonResponse.Cake);
                                vm.navParams.ckm_key = success.ckm_key;
                                vm.navParams.ckm_campaign_id = success.ckm_campaign_id;
                                vm.navParams.ckm_offer_id = success.ckm_offer_id;
                                vm.validCampaignInfo = true;

                                submitFormToMarketing();
                            } else {
                                console.log("Invalid values sent to CampaignInfo API");
                                vm.validCampaignInfo = false;
                            }
                        })
                        .error(function (error) {
                            console.warn("Error getting values from CampaignInfo API:");
                            console.warn(error);
                            vm.sending = false;
                        });
                }

                function postForm() {
                    vm.sending = true;
                    getClientIpAddress();
                    if (vm.navParams.vid != 0)
                        getCampaignInfo();
                }

                function submitFormToMarketing() {
                    var resultUrl = thankYouURL_Unsold;

                    if (vm.validCampaignInfo == true) {
                        var formToSend = {};
                        /* recompile hidden fields so angular recognizes */
                        jQuery('form[name="' + document.forms[0].name + '"]').each(function () {
                            var content = jQuery(this);
                            /* angular.element('form[name="' + document.forms[0].name + '"]').injector().invoke( */
                            angular.element(jQuery('form[name="' + document.forms[0].name + '"]')).injector().invoke(
                            [
                                "$compile", function ($compile) {
                                    var scope = angular.element(content).scope();
                                    $compile(content)(scope);
                                }
                            ]);
                        });

                        for (var navParam in vm.navParams) {
                            if (vm.navParams.hasOwnProperty(navParam) && vm.navParams[navParam] !== "" && vm.navParams[navParam] !== undefined) {
                                formToSend[navParam] = vm.navParams[navParam];
                            }
                        }
                        for (var hiddenField in vm.hiddenFields) {
                            if (vm.hiddenFields.hasOwnProperty(hiddenField) && vm.hiddenFields[hiddenField] !== "" && vm.hiddenFields[hiddenField] !== undefined) {
                                formToSend[hiddenField] = vm.hiddenFields[hiddenField];
                            }
                        }
                        for (var landingFormProperty in vm.landingForm) {
                            if (vm.landingForm.hasOwnProperty(landingFormProperty) && vm.landingForm[landingFormProperty] !== "" && vm.landingForm[landingFormProperty] !== undefined && vm.landingForm[landingFormProperty] !== null) {
                                formToSend[landingFormProperty] = vm.landingForm[landingFormProperty];
                            }
                        }
                        for (var lanFGenProperty in vm.landingFormGeneral) {
                            if (vm.landingFormGeneral.hasOwnProperty(lanFGenProperty) && vm.landingFormGeneral[lanFGenProperty] !== "" && vm.landingFormGeneral[lanFGenProperty] !== undefined && vm.landingFormGeneral[lanFGenProperty] !== null) {
                                formToSend[lanFGenProperty] = vm.landingFormGeneral[lanFGenProperty];
                            }
                        }

                        formToSend.primary_phone = formToSend.primary_phone.replace(/[^\d]/g, '');
                        
                        dataservice.postForm(formToSend, urlLeadApi)
                            .success(function (data, status, header, config) {
                                if (data.Status === "Success") {
                                    var success = JSON.parse(data.Cake);
                                    var buyerId = success.BuyerId;
                                    var buyerContractId = success.BuyerContractId;
                                    var mapi_lead_id = data.LeadId;
                                    var cake_lead_id = success.CakeLeadId;
                                    resultUrl = thankYouURL;

                                    if (typeof PassBuyerInfo != 'undefined') {
                                        if (PassBuyerInfo) {
                                            if (resultUrl.indexOf('?') == -1) {
                                                /* redirect to success thankyou page */
                                                resultUrl = resultUrl + "?BuyerId=" + buyerId + "&BuyerContractId=" + buyerContractId + "&LeadId=" + mapi_lead_id + "&CakeId=" + cake_lead_id;
                                            } else {
                                                /* redirect to success thankyou page that has existing query params */
                                                resultUrl = resultUrl + "&BuyerId=" + buyerId + "&BuyerContractId=" + buyerContractId + "&LeadId=" + mapi_lead_id + "&CakeId=" + cake_lead_id;
                                            }
                                        }
                                    }
                                }
                                showThankYou(resultUrl);
                                vm.sending = false;
                            })
                            .error(function (data, status, header, config) {
                                showThankYou(resultUrl);
                                vm.sending = false;
                                return data.status;
                            });
                    } else {
                        vm.sending = false;
                        vm.errors = ['ERROR: Invalid Campaign'];
                    }
                }
                
                function showThankYou(url) {
                    while (bibWrapper.lastChild) {
                        bibWrapper.removeChild(bibWrapper.lastChild);
                    }
                    var thankyoupage = document.createElement("iframe");
                    thankyoupage.setAttribute("class", "bib-thank-you");
                    thankyoupage.setAttribute("src", url);
                    thankyoupage.setAttribute("security", "restricted");
                    thankyoupage.setAttribute("sandbox", "allow-scripts allow-same-origin");
                    bibWrapper.appendChild(thankyoupage);
                }
                    
                function queryStringToObject() {
                    var pairs = window.location.search.substring(1).split("&"),
                      obj = {},
                      pair,
                      i;
                    for (i in pairs) {
                        if (pairs[i] === "") continue;

                        pair = pairs[i].split("=");
                        obj[decodeURIComponent(pair[0].toLowerCase())] = decodeURIComponent(pair[1]);
                    }
                    return obj;
                }
            }
            
            function dataservice($http) {
                var service = {
                    postForm: postForm,
                    getClientIp: getClientIp,
                    getVerticalIds: getVerticalIds
                };

                return service;

                function postForm(form, url) {
                    var data = {};
                    for (var prop in form) {
                        if (form.hasOwnProperty(prop))
                            data[prop] = form[prop];
                    }
                    data.callback = 'JSON_CALLBACK';
                    return $http.jsonp(url, { params: data });
                }

                function getClientIp() {
                    return $http.jsonp('https://api.ipify.org', { params: { format: 'jsonp', callback: 'JSON_CALLBACK' } });
                }

                function getVerticalIds(aid, vid, apiKey) {
                    if (typeof media_type_name === 'undefined') {
                        var media_type = 'conditional';
                    } else {
                        media_type = media_type_name;
                    }

                    var parameters = {
                        callback: 'JSON_CALLBACK',
                        media_type_name: media_type,
                        aid: aid,
                        vid: vid,
                        apiKey: apiKey
                    };
                    return $http.jsonp(urlCampaignInfoApi, { params: parameters });
                }
            }
            /* manually start up angular application */
            window.angular.bootstrap(bibWrapper, ['app']);
        }    /* End of the load Angular World */

    
        function dataLandingFormHtml() {
            /* html to js generated by http://www.accessify.com/tools-and-wizards/developer-tools/html-javascript-convertor/ */
            /* default is to show Age */
            if (typeof showAge !== 'undefined') {
                var showAgeInput = showAge;
            } else {          
                var showAgeInput = true;
            }

            var strVar = "";
            strVar += "";
            strVar += "<div data-ng-cloak=\"\" id=\"ang-app\">";
            strVar += "<div data-ng-controller=\"LandingFormController as vm\">";
            strVar += "<form role=\"form\" class=\"vt-form\" name=\"formItem\" novalidate >";
           
            strVar += "<!--  @*Header Text*@-->";
            strVar += "<div class=\"vt-form-group\" data-ng-show=\"vm.showHeaderText\">";
            strVar += "<p class=\"lead\">Last step, fill out the information below or call us for Priority Assistance<\/p>";
            strVar += "<\/div>";
           
            strVar += "<!--  @*General Questions*@-->";
            strVar += "<div class=\"vt-form-group\" data-ng-cloak=\"\" data-ng-show=\"vm.errors\">";
            strVar += "    <div class=\"text-danger\" data-ng-repeat=\"error in vm.errors\">*{{error}}<\/div>";
            strVar += "<\/div>";
            strVar += "<div class=\"vt-form-group\" data-ng-show=\"vm.showStep1\">";
            strVar += "    <label>What may we help you with?<\/label>";
            strVar += "    <select";
            strVar += "            id=\"vt-form-debt-type\"";
            strVar += "            class=\"vt-form-control\"";
            strVar += "            name=\"debt_type\"";
            strVar += "            tabindex=\"1\"";
            strVar += "            data-ng-change=\"vm.updateFormValues()\"";
            strVar += "            data-ng-model=\"vm.debtType\"";
            strVar += "            data-ng-options=\"debtType.label for debtType in vm.debtTypeValues track by debtType.value \"  >";
            strVar += "        <option value=\"\" disabled>Select...<\/option>";
            strVar += "    <\/select>";
            strVar += "<\/div>";
            strVar += "";
           
            strVar += "<div data-ng-cloak=\"\"  class=\"form-group step2\" data-ng-show=\"vm.showStep2\">";
            strVar += "<div data-ng-cloak=\"\" class=\"vt-form-group\" data-ng-show=\"vm.debtType.value === 1||vm.debtType.value === 2||vm.debtType.value === 3||vm.debtType.value === 5 \" >";
            strVar += "    <!--@*Credit Card Debt, Student Loan Debt, Tax Debt and Bankruptcy Question*@-->";
            strVar += "    <label>How much do you owe?<\/label>";
            strVar += "    <select";
            strVar += "            class=\"vt-form-control\"";
            strVar += "            name=\"owe\"";
            strVar += "            tabindex=\"1\"";
            strVar += "            data-ng-required=\"vm.debtType.value === 1||vm.debtType.value === 2||vm.debtType.value === 3||vm.debtType.value === 5\"";
            strVar += "            data-ng-model=\"vm.landingForm[vm.debtFieldName]\"";
            strVar += "            data-ng-options=\"debtAmount.value as debtAmount.label for debtAmount in vm.debtAmounts\">";
            strVar += "        <option value=\"\" disabled>Select...<\/option>";
            strVar += "    <\/select>";
            strVar += "<\/div>";
            strVar += "<div  data-ng-cloak=\"\" class=\"vt-form-group\" data-ng-show=\"vm.debtType.value === 1\">";
            strVar += "    <!--@*Credit Card Debt Question*@-->";
            strVar += "    <label>What is the status of your payments?<\/label>";
            strVar += "    <select";
            strVar += "            class=\"vt-form-control\"";
            strVar += "            name=\"payment_status\"";
            strVar += "            tabindex=\"1\"";
            strVar += "            data-ng-model=\"vm.landingForm.payment_status\"";
            strVar += "            data-ng-required=\"vm.debtType.value === 1\"";
            strVar += "            data-ng-options=\"paymentStatus.value as paymentStatus.label for paymentStatus in vm.paymentsStatus\">";
            strVar += "        <option value=\"\" disabled>Select...<\/option>";
            strVar += "    <\/select>";
            strVar += "<\/div>";
            strVar += "";
            strVar += "<div data-ng-cloak=\"\" class=\"vt-form-group\" data-ng-show=\"vm.debtType.value === 2\">";
            strVar += "    <!--@*Student Loan Debt Question*@-->";
            strVar += "    <label>What type of student loans do you have?<\/label>";
            strVar += "    <select";
            strVar += "            class=\"vt-form-control\"";
            strVar += "            tabindex=\"1\"";
            strVar += "            name=\"student_loan_types\"";
            strVar += "            data-ng-required=\"vm.debtType.value === 2\"";
            strVar += "            data-ng-model=\"vm.landingForm.student_loan_types\"";
            strVar += "            data-ng-options=\"studentLoan.value as studentLoan.label for studentLoan in vm.studentLoanTypes\">";
            strVar += "        <option value=\"\" disabled>Select...<\/option>";
            strVar += "    <\/select>";
            strVar += "<\/div>";
            strVar += "<div data-ng-cloak=\"\" class=\"vt-form-group\" data-ng-show=\"vm.debtType.value === 2\">";
            strVar += "    <!--@*Student Loan Debt Question*@-->";
            strVar += "    <label>What is the status of your loans?<\/label>";
            strVar += "    <select";
            strVar += "            class=\"vt-form-control\"";
            strVar += "            tabindex=\"1\"";
            strVar += "            name=\"student_loan_status\"";
            strVar += "            data-ng-required=\"vm.debtType.value === 2\"";
            strVar += "            data-ng-model=\"vm.landingForm.student_loan_status\"";
            strVar += "            data-ng-options=\"studentLoanStatus.value as studentLoanStatus.label for studentLoanStatus in vm.studentLoansStatus\">";
            strVar += "        <option value=\"\" disabled>Select...<\/option>";
            strVar += "    <\/select>";
            strVar += "<\/div>";
            strVar += "<div data-ng-cloak=\"\" class=\"vt-form-group\" data-ng-show=\"vm.debtType.value === 3\">";
            strVar += "    <!--@*Taxes Question*@-->";
            strVar += "    <label>What type of tax debt do you have?<\/label>";
            strVar += "    <select";
            strVar += "            class=\"vt-form-control\"";
            strVar += "            tabindex=\"1\"";
            strVar += "            name=\"tax_debt_type\"";
            strVar += "            data-ng-required=\"vm.debtType.value === 3\"";
            strVar += "            data-ng-model=\"vm.landingForm.tax_debt_type\"";
            strVar += "            data-ng-options=\"taxDebtType.value as taxDebtType.label for taxDebtType in vm.taxDebtTypes\">";
            strVar += "        <option value=\"\" disabled>Select...<\/option>";
            strVar += "    <\/select>";
            strVar += "<\/div>";
            strVar += "<div  data-ng-cloak=\"\" class=\"vt-form-group\" data-ng-show=\"vm.debtType.value === 3\">";
            strVar += "    <!--@*Taxes Question*@-->";
            strVar += "    <label>How many years have you owed taxes?<\/label>";
            strVar += "    <select";
            strVar += "            class=\"vt-form-control\"";
            strVar += "            tabindex=\"1\"";
            strVar += "            name=\"tax_debt_years\"";
            strVar += "            data-ng-required=\"vm.debtType.value === 3\"";
            strVar += "            data-ng-model=\"vm.landingForm.tax_debt_years\"";
            strVar += "            data-ng-options=\"taxDebtYear.value as taxDebtYear.label for taxDebtYear in vm.taxDebtYears\">";
            strVar += "        <option value=\"\" disabled>Select...<\/option>";
            strVar += "    <\/select>";
            strVar += "<\/div>";
            strVar += "<div data-ng-cloak=\"\" class=\"vt-form-group\" data-ng-show=\"vm.debtType.value === 3\">";
            strVar += "    <!--@*Taxes Question*@-->";
            strVar += "    <label>Are you currently enrolled in a payment program with the IRS?<\/label>";
            strVar += "    <select class=\"vt-form-control\"";
            strVar += "            tabindex=\"1\"";
            strVar += "            name=\"tax_irs_enrolled\"";
            strVar += "            data-ng-required=\"vm.debtType.value === 3\"";
            strVar += "            data-ng-model=\"vm.landingForm.tax_irs_enrolled\">";
            strVar += "        <option value=\"\" disabled>Select...<\/option>";
            strVar += "        <option value=\"0\" >No<\/option>";
            strVar += "        <option value=\"1\" >Yes<\/option>";
            strVar += "    <\/select>";
            strVar += "<\/div>";
            strVar += "<div  data-ng-cloak=\"\" class=\"vt-form-group\" data-ng-show=\"vm.debtType.value === 4\">";
            strVar += "    <!--@*Credit Correction Question*@-->";
            strVar += "    <label>What problems are you having with your report?<\/label>";
            strVar += "";
            strVar += "  <div class=\"checkboxContainer\">";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\" data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.cr_late_payments\"> Late Payments";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\"  data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.cr_bankruptcy\"> Bankruptcy";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\"  data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.cr_charge_off\"> Charge offs";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\" data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.cr_not_your_debt\"> Debts that are not yours";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\"  data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.cr_collections\"> Collections";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\" data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.cr_errors\"> Errors on your credit report";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\"  data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.cr_other\"> Other";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "   <\/div>";
            strVar += "<\/div>";
            strVar += "<div data-ng-cloak=\"\" class=\"vt-form-group\" data-ng-show=\"vm.debtType.value === 5\">";
            strVar += "    <!--@*Bankruptcy Question*@-->";
            strVar += "    <label>Are you facing any of the following?<\/label>";
            strVar += "";
            strVar += "  <div class=\"checkboxContainer\">";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\"  data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.facing_any_garnishment\"> Garnishments";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\"  data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.facing_any_lawsuit\"> Lawsuit";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\"  data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.facing_any_divorce\"> Divorce";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\"  data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.facing_any_repo\"> Repossessions";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\" data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.facing_any_illness\"> Illness\/Disability";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\"  data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.facing_any_job_loss\"> Job Loss";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\"  data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.facing_any_forclosure\"> Foreclosure";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "   <\/div>";
            strVar += "<\/div>";
            strVar += "<div data-ng-cloak=\"\" class=\"vt-form-group\" data-ng-show=\"vm.debtType.value === 6\">";
            strVar += "    <!--@*Collector Harassment Question*@-->";
            strVar += "    <label>What types of debts do you have in collections?<\/label>";
            strVar += "";
            strVar += "  <div class=\"checkboxContainer\">";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\"  data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.collections_credit_card\"> Credit Card";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\"  data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.collections_tax\"> Tax";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\"  data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.collections_mortgage\"> Mortgage";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\"  data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.collections_student_loan\"> Student Loan";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\"  data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.collections_medical\"> Medical";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\"  data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.collections_payday_loan\"> Payday Loan";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\"  data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.collections_repo\"> Repossessions";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "     <div class=\"checkbox\">";
            strVar += "       <label class=\"checkbox\">";
            strVar += "           <input type=\"checkbox\" tabindex=\"1\"  data-ng-true-value=\"1\" data-ng-false-value=\"0\" data-ng-model=\"vm.landingForm.collections_judgement\"> Judgement";
            strVar += "       <\/label>";
            strVar += "     <\/div>";
            strVar += "   <\/div>";
            strVar += "<\/div>";
            strVar += "<div data-ng-cloak=\"\" class=\"vt-form-group\" data-ng-show=\"vm.debtType.value === 6\">";
            strVar += "    <!--@*Collector Harassment Question*@-->";
            strVar += "    <label>Debt Collection Company Name<\/label>";
            strVar += "    <input type=\"text\"";
            strVar += "           class=\"vt-form-control\"";
            strVar += "           tabindex=\"1\"";
            strVar += "           data-ng-required=\"vm.debtType.value === 6\"";
            strVar += "           data-ng-model=\"vm.landingForm.debt_collection_company\">";
            strVar += "";
            strVar += "<\/div>";
            strVar += "<div data-ng-cloak=\"\" class=\"vt-form-group\" data-ng-show=\"vm.debtType.value === 6\">";
            strVar += "    <!--@*Collector Harassment Question*@-->";
            strVar += "    <label>Tell us what happened:<\/label>";
            strVar += "    <textarea class=\"vt-form-control\"";
            strVar += "              tabindex=\"1\"";
            strVar += "              rows=\"3\"";
            strVar += "              data-ng-required=\"vm.debtType.value === 6\"";
            strVar += "              data-ng-model=\"vm.landingForm.tell_us_what_happened\"><\/textarea>";
            strVar += "";
            strVar += "<\/div>";
            strVar += "<\/div>";
            strVar += "";
            strVar += "<!--@*Contact Questions*@-->";
            strVar += "<div class=\"row clientInfo\" data-ng-cloak=\"\" data-ng-show=\"vm.showStep3\">";
            strVar += "    <div class=\"col-md-6\">";
            strVar += "        <div class=\"vt-form-group\" data-ng-class=\"{ 'has-error': vm.formItem.first_name.$touched && vm.formItem.first_name.$invalid }\">";
            strVar += "            <input type=\"text\"";
            strVar += "                   tabindex=\"10\"";
            strVar += "                   name=\"first_name\"";
            strVar += "                   data-ng-minlength=\"2\"";
            strVar += "                   data-ng-maxlength=\"50\"";
            strVar += "                   data-ng-pattern=\"\/^[A-Za-z]+$\/\"";
            strVar += "                   class=\"vt-form-control\"";
            strVar += "                   placeholder=\"First Name\"";
            strVar += "                   data-ng-model=\"vm.landingFormGeneral.first_name\"  required>";
            strVar += "";
            strVar += "            <div class=\"has-error\"";
            strVar += "                 data-ng-cloak=\"\"";
            strVar += "                 data-ng-show=\"vm.formItem.first_name.$touched && vm.formItem.first_name.$invalid\">";
            strVar += "                <small class=\"has-error\"";
            strVar += "                       data-ng-show=\"vm.formItem.first_name.$error.required\">";
            strVar += "                    Your first name is required.";
            strVar += "                <\/small>";
            strVar += "                <small class=\"has-error\"";
            strVar += "                       data-ng-show=\"vm.formItem.first_name.$error.minlength\">";
            strVar += "                    Your first name is required to be at least 2 characters";
            strVar += "                <\/small>";
            strVar += "                <small class=\"has-error\"";
            strVar += "                       data-ng-show=\"vm.formItem.first_name.$error.maxlength\">";
            strVar += "                    Your first name cannot be longer than 50 characters";
            strVar += "                <\/small>";
            strVar += "            <\/div>";
            strVar += "";
            strVar += "        <\/div>";
            strVar += "    <\/div>";
           
            strVar += "    <div class=\"col-md-6\">";
            strVar += "        <div class=\"vt-form-group\" data-ng-class=\"{ 'has-error': vm.formItem.last_name.$touched && vm.formItem.last_name.$invalid }\">";
            strVar += "            <input type=\"text\"";
            strVar += "                   tabindex=\"20\"";
            strVar += "                   name=\"last_name\"";
            strVar += "                   class=\"vt-form-control\"";
            strVar += "                   data-ng-minlength=\"2\"";
            strVar += "                   data-ng-maxlength=\"50\"";
            strVar += "                   data-ng-pattern=\"\/^[A-Za-z]+$\/\"";
            strVar += "                   placeholder=\"Last Name\"";
            strVar += "                   data-ng-model=\"vm.landingFormGeneral.last_name\" required>";
            strVar += "            <div class=\"has-error\"";
            strVar += "                 data-ng-cloak=\"\"";
            strVar += "                 data-ng-show=\"vm.formItem.last_name.$touched && vm.formItem.last_name.$invalid\">";
            strVar += "                <small class=\"has-error\"";
            strVar += "                       data-ng-show=\"vm.formItem.last_name.$error.required\">";
            strVar += "                    Your last name is required.";
            strVar += "                <\/small>";
            strVar += "                <small class=\"has-error\"";
            strVar += "                       data-ng-show=\"vm.formItem.last_name.$error.minlength\">";
            strVar += "                    Your last name is required to be at least 2 characters";
            strVar += "                <\/small>";
            strVar += "                <small class=\"has-error\"";
            strVar += "                       data-ng-show=\"vm.formItem.last_name.$error.maxlength\">";
            strVar += "                    Your last name cannot be longer than 50 characters";
            strVar += "                <\/small>";
            strVar += "            <\/div>";
            strVar += "";
            strVar += "        <\/div>";
            strVar += "    <\/div>";
            strVar += " <div class=\"clearfix\"></div>";
            strVar += "    <div class=\"col-md-6\">";
            strVar += "        <div class=\"vt-form-group\" data-ng-class=\"{ 'has-error': vm.formItem.email.$touched && vm.formItem.email.$invalid }\">";
            strVar += "            <input type=\"email\"";
            strVar += "                   tabindex=\"30\"";
            strVar += "                   name=\"email\"";
            strVar += "                   class=\"vt-form-control\"";
            strVar += "                   placeholder=\"Email Address\"";
            strVar += "                   data-ng-model=\"vm.landingFormGeneral.email\" required>";
            strVar += "";
            strVar += "            <div class=\"has-error\"";
            strVar += "                 data-ng-cloak=\"\"";
            strVar += "                 data-ng-show=\"vm.formItem.email.$touched && vm.formItem.email.$invalid\">";
            strVar += "                <small class=\"has-error\"";
            strVar += "                       data-ng-show=\"vm.formItem.email.$error.required\">";
            strVar += "                    Your email is required.";
            strVar += "                <\/small>";
            strVar += "                <small class=\"has-error\"";
            strVar += "                       data-ng-show=\"vm.formItem.email.$error.email\">";
            strVar += "                    Invalid email address.";
            strVar += "                <\/small>";
            strVar += "            <\/div>";
            strVar += "";
            strVar += "        <\/div>";
            strVar += "    <\/div>";

            strVar += "    <div class=\"col-md-6\">";
            strVar += "        <div class=\"vt-form-group\" data-ng-class=\"{ 'has-error': vm.formItem.primary_phone.$touched && vm.formItem.primary_phone.$invalid }\">";
            strVar += "            <input type=\"tel\"";
            strVar += "                   tabindex=\"40\"";
            strVar += "                   name=\"primary_phone\"";
            strVar += "                   class=\"vt-form-control phone\"";
            strVar += "                   data-ng-pattern=\"\/^\\(?([0-9]{3})\\)?[-. ]?([0-9]{3})[-. ]?([0-9]{4})$\/\"";
            if (!isSafari) {
                strVar += "                   mask=\"(999) 999-9999\"";
            } else {
                strVar += "                   maxlength=10";
            }
            strVar += "                   placeholder=\"Phone Number\"";
            strVar += "                   data-ng-model=\"vm.landingFormGeneral.primary_phone\"  required>";
            strVar += "            <div class=\"has-error\"";
            strVar += "                 data-ng-cloak=\"\"";
            strVar += "                 data-ng-show=\"vm.formItem.primary_phone.$touched && vm.formItem.primary_phone.$invalid\">";
            strVar += "                <small class=\"has-error\"";
            strVar += "                       data-ng-show=\"vm.formItem.primary_phone.$error.required\">";
            strVar += "                    Your phone is required.";
            strVar += "                <\/small>";
            strVar += "                <small class=\"has-error\"";
            strVar += "                       data-ng-show=\"vm.formItem.primary_phone.$error.pattern\">";
            strVar += "                    Your 10 digit phone number is required. ";
            strVar += "                <\/small>";
            strVar += "            <\/div>";
            strVar += "        <\/div>";
            strVar += "    <\/div>";       

            var strVarState = "    <div class=\"col-md-6\">";
            strVarState += "        <div class=\"vt-form-group\" data-ng-class=\"{ 'has-error': vm.formItem.state.$touched && vm.formItem.state.$invalid }\">";
            strVarState += "            <select name=\"state\"";
            strVarState += "                    tabindex=\"50\"";
            strVarState += "                    class=\"vt-form-control\"";
            strVarState += "		               data-ng-model=\"vm.landingForm.state\"";
            strVarState += "		               data-ng-options=\"statesList.value as statesList.label for statesList in vm.statesList\" required >";
            strVarState += "		               <option value=\"\" disabled>Select a state<\/option>";
            strVarState += "	           <\/select>";
            strVarState += "				<div class=\"has-error\"";
            strVarState += "					data-ng-cloak=\"\"";
            strVarState += "					data-ng-show=\"vm.formItem.state.$touched && vm.formItem.state.$invalid\">";
            strVarState += "					<small class=\"has-error\"";
            strVarState += "					data-ng-show=\"vm.formItem.state.$error.required\">";
            strVarState += "					Your state is required. ";
            strVarState += "					<\/small>";
            strVarState += "			<\/div>";
            strVarState += "        <\/div>";
            strVarState += "    <\/div>";
            strVar += strVarState;

            var strVarAge = "    <div class=\"col-md-6\">";
            strVarAge += "        <div class=\"vt-form-group\" id=\"age-div\"  data-ng-class=\"{ 'has-error': vm.formItem.age.$touched && vm.formItem.age.$invalid }\">";
            strVarAge += "            <input type=\"number\"";
            strVarAge += "                   id=\"age\"";
            strVarAge += "                   tabindex=\"70\"";
            strVarAge += "                   name=\"age\"";
            strVarAge += "                   class=\"vt-form-control\"";
            strVarAge += "                   data-ng-pattern=\"\/^[0-9]{2}$\/\"";
            strVarAge += "                   mask=\"99\"";
            strVarAge += "                   min=\"18\"";
            strVarAge += "                   max=\"99\"";
            strVarAge += "                   placeholder=\"Age\"";
            strVarAge += "                   data-ng-model=\"vm.landingFormGeneral.age\" required>";
            strVarAge += "";
            strVarAge += "            <div class=\"has-error\"";
            strVarAge += "                 data-ng-cloak=\"\"";
            strVarAge += "                 data-ng-show=\"vm.formItem.age.$touched && vm.formItem.age.$invalid\">";
            strVarAge += "                <small class=\"has-error\"";
            strVarAge += "                       data-ng-show=\"vm.formItem.age.$error.required\">";
            strVarAge += "                    Your age is required. ";
            strVarAge += "                <\/small>";
            strVarAge += "                <small class=\"has-error\"";
            strVarAge += "                       data-ng-show=\"vm.formItem.age.$error.pattern\">";
            strVarAge += "                    Your age must be between 18 and 99. ";
            strVarAge += "                <\/small>";
            strVarAge += "                <small class=\"has-error\"";
            strVarAge += "                       data-ng-show=\"vm.formItem.age.$error.min\">";
            strVarAge += "                    Your age must be greater than 18. ";
            strVarAge += "                <\/small>";
            strVarAge += "                <small class=\"has-error\"";
            strVarAge += "                       data-ng-show=\"vm.formItem.age.$error.max\">";
            strVarAge += "                    Your age must be less than 100. ";
            strVarAge += "                <\/small>";
            strVarAge += "            <\/div>";
            strVarAge += "        <\/div>";
            strVarAge += "    <\/div>";        
            if ((showAgeInput === true || showAgeInput === 'true')) {        
                strVar += strVarAge;
            }
            strVar += "<\/div>";
            strVar += "";
            strVar += "    <div class=\"bib-button-wrap\">";
            strVar += "       <button id=\"vt-bib-button-1\" data-ng-cloak=\"\" data-ng-show=\"vm.showButton1\"  ";
            strVar += "           tabindex=\"80\"";
            strVar += "           data-ng-click=\"vm.goToStep3()\"";
            strVar += "           class=\"vt-btn vt-btn-primary\">Get Help<\/button>";
            strVar += "       <button id=\"vt-bib-button-2\" data-ng-cloak=\"\" data-ng-show=\"vm.showButton2\"  data-ng-disabled=\"vm.formItem.$invalid || vm.sending\"";
            strVar += "           tabindex=\"80\"";
            strVar += "           data-ng-click=\" vm.postForm()\"";
            strVar += "           class=\"vt-btn vt-btn-primary\">Contact Me<span data-ng-show=\"vm.sending\">&nbsp;<img src=\"";
            strVar += baseUrl;
            strVar += "images/ajax-loader.gif\"";
            strVar += "                                 alt=\"ajax loader\"/><\/span><\/button>";
            strVar += "    </div>"; /* Close Bib Button Wrap */

            strVar += "<div data-ng-cloak=\"\" class=\"form-disclaimer\" data-ng-show=\"vm.showButton2\" ><br\/>";
            strVar += "<p>So what happens after you fill out this form? Simple: We find the suitable expert who can help. By submitting your request, you agree to our <a href=\""+_termsUrl+"\" target=\"_blank\">terms<\/a> and <a href=\""+_privacyUrl+"\" target=\"_blank\">privacy policy<\/a>; you agree to be contacted by Debt.com at the number or email you provided, even if it's a wireless number, listed on a No Call registry, or the call is initiated with the help of an automated dialing system. No purchase is necessary.</p>";
            strVar += "  <\/div>";
            
            strVar += "<\/form>";
            strVar += "<\/div>";
            strVar += "<\/div>";

            return strVar;
        }
    }
}());