var _msp = (function(){
	var self=this;
	
	this.definitions={
		domain: 'https://mspcdn-debtcom.netdna-ssl.com',
		/* domain: 'https://compare.moneysavingpro.com', */
		version:1,
		iframe_prefix:'msp-embed-'
	};

	this.init = function(){
		var widgets = document.getElementsByClassName('msp-embed');
		if( widgets ){
			for(var x=0; x<widgets.length; x++){
				var el=widgets.item(x),params=[],onload='';
				
				if( el.dataset ){
					for( var data_key in el.dataset ){
						if( data_key==='onload' ){
							onload = el.dataset[data_key];
						}else{
							params[data_key] = el.dataset[data_key];
						}
					}
				}
				/* Disable Promotion */
				params['promote'] = 0;
				params.iframe_id = this.definitions.iframe_prefix+(Math.random().toString(36).substring(2,7));
				
				this.create_iframe(el,params,onload);
			}
		}
	};
	
	this.create_iframe = function(el,params,onload){
		var args='',append=false,promote=promote,is_root=false;
		
		
		for(var param in params){
			args += '&'+param+'='+params[param];
		}
		
		args = args.replace('&','?');
		
		var attributes = {
			src:_msp.definitions.domain+'/v'+_msp.definitions.version+'/iframe/'+args,
			frameborder:0,
			scrolling:'no',
			width:'100%',
			height:0,
			id:params.iframe_id,
			allowtransparency:true,
			name:Date.now()
		};
		
		var iframe=document.createElement('IFRAME');
		
		for(var attribute in attributes){
			iframe.setAttribute(attribute,attributes[attribute]);
		}
		
		el.appendChild(iframe);
		
		iframe.onload = function(){
			if( onload.substr(-2) === '()' ){
				onload = onload.substr(0,onload.length-2);
			}
			if( onload && typeof window[onload] == 'function'){
				window[onload]();
			}
		};
	};
	
	this.resize=function(height,iframe_id){
		document.getElementById(iframe_id).style.height = height+'px';
	};
	
	window.addEventListener('message', function(message){
		var data = message.data.split(':');
		if(data[0] == 'MSP' && this[data[1]]){
			this[data[1]](data[2],data[3]);
		}
	}, false);
	
	window._msp = this;
	
	this.init();
	
})();